[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectListStaticCallback

Plan procedure callback type for TFPObjectList.ForEachCall

## Declaration

Source position: contnrs.pp line 29

`type TObjectListStaticCallback = procedure(`
`data: TObject;`
`arg: pointer`
`);`

## Arguments

`data` |  | Object from the list
`arg` |  | Data passed to ForEachCall

## Description

TObjectListCallback is used as the prototype for the TFPObjectList.ForEachCall link call when a plain procedure should be called. The Data argument will contain each of the objects in the list in turn, and the Data argument will contain the data passed to the ForEachCall call.

## See also

TFPObjectList.ForEachCall |  | For each object in the list, call a method or procedure, passing it the object.

Documentation generated on: Feb 26 2014